Debian Bug report logs - #647283
[libtasn1-3] failed to install on multiarch

version graph

Package: libtasn1-3; Maintainer for libtasn1-3 is Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>; Source for libtasn1-3 is src:libtasn1-3.

Reported by: gregory hainaut <gregory.hainaut@gmail.com>

Date: Tue, 1 Nov 2011 15:33:01 UTC

Severity: normal

Found in version libtasn1-3/2.10-1

Fixed in version 2.11-1

Done: Andreas Metzler <ametzler@downhill.at.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>:
Bug#647283; Package libtasn1-3. (Tue, 01 Nov 2011 15:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregory hainaut <gregory.hainaut@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>. (Tue, 01 Nov 2011 15:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregory hainaut <gregory.hainaut@gmail.com>
To: submit@bugs.debian.org
Subject: [libtasn1-3] failed to install on multiarch
Date: Tue, 1 Nov 2011 16:26:44 +0100
Package: libtasn1-3
Version: 2.10-1
Severity: normal

--- Please enter the report below this line. ---


Dear Maintainer,

libtasn failed to install on a multiarch-aware system.

dpkg: error
processing /var/cache/apt/archives/libtasn1-3_2.10-1_i386.deb
(--unpack): './usr/share/doc/libtasn1-3/NEWS.gz' is different from the
same file on the system configured to not write apport reports Errors
were encountered while processing:

To be sure, I download both libtasn1-3_2.10-1_amd64.deb and
libtasn1-3_2.10-1_i386.deb. After the extraction I did a diff.
"cmp usr/share/doc/libtasn1-3/NEWS.gz 
usr_i386/share/doc/libtasn1-3/NEWS.gz -l"
5220 126  26
5221 344  12
5222 277 201
5223 371 377
5224 137   5

The content is the same on both file, it is only some gzip extra
information! Package seems to use dh_compress which normally support
multiarch build. I don't know what is the origin of the difference.
Anyway, I did a build in a chroot and it is fine on my side. So you
might consider a binary-only rebuild of the package.

Best regards,
Gregory

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.39-1-gregory-kms

Debian Release: wheezy/sid
  500 unstable        ftp2.fr.debian.org 
    1 experimental    ftp2.fr.debian.org 

--- Package information. ---
Depends      (Version) | Installed
======================-+-===========
libc6         (>= 2.3) | 2.13-21


Package's Recommends field is empty.

Package's Suggests field is empty.








Information forwarded to debian-bugs-dist@lists.debian.org, Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>:
Bug#647283; Package libtasn1-3. (Tue, 01 Nov 2011 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>. (Tue, 01 Nov 2011 19:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 647283@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: 647303-done@bugs.debian.org
Cc: 647303@bugs.debian.org
Subject: Re: Bug#647303: nmu: libtasn1-3_2.10-1
Date: Tue, 1 Nov 2011 19:53:59 +0100
On 2011-11-01 Jakub Wilk <jwilk@debian.org> wrote:
> * Andreas Metzler <ametzler@downhill.at.eu.org>, 2011-11-01, 19:28:
>> nmu libtasn1-3_2.10-1 . amd64 mips . -m "[multi-arch] fix differing files in /usr/share/doc. Closes: #647283"

> As of now, binNMUing Multi-Arch:same packages will only make things
> worse, because changelog will be modified.

Hello,
Good point.

>> See <http://bugs.debian.org/647283>. There seems to be a
>> heisenbug, /usr/share/doc/libtasn1-3/NEWS.gz on amd64 and mips is
>> differently compressed. The package is simply using dh_compress, a
>> rebuild on amd64 does not show the brokenness.

> FWIW, it affects many more packages. Most often it happens on amd64
> and ia64, though other architectures are sometimes affected as well.

> Also, it's not clear that the bug in gzip has been actually fixed.

I was not aware this was a widespread issue, looks like I searched the
wrong way. 

To clean things up I am closing the binnmu request (647303) since a
binNMU would not fix the issue. Further discussion should happen on
647303 (the original report against libtasn1-3).

Thanks, cu andreas
-- 
`What a good friend you are to him, Dr. Maturin. His other friends are
so grateful to you.'
`I sew his ears on from time to time, sure'





Information forwarded to debian-bugs-dist@lists.debian.org, 647283@bugs.debian.org, Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>:
Bug#647283; Package libtasn1-3. (Tue, 01 Nov 2011 19:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to 647283@bugs.debian.org, Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>. (Tue, 01 Nov 2011 19:06:04 GMT) Full text and rfc822 format available.

Message #15 received at 647283@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Bug#647303: nmu: libtasn1-3_2.10-1
Date: Tue, 1 Nov 2011 19:28:12 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: binnmu


nmu libtasn1-3_2.10-1 . amd64 mips . -m "[multi-arch] fix differing files in /usr/share/doc. Closes: #647283"

See <http://bugs.debian.org/647283>. There seems to be a heisenbug, 
/usr/share/doc/libtasn1-3/NEWS.gz on amd64 and mips is differently
compressed. The package is simply using dh_compress, a rebuild on
amd64 does not show the brokenness.

cu andreas
-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added blocking bug(s) of 647283: 647522 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 03 Nov 2011 15:42:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>:
Bug#647283; Package libtasn1-3. (Thu, 08 Dec 2011 09:15:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>. (Thu, 08 Dec 2011 09:15:22 GMT) Full text and rfc822 format available.

Message #22 received at 647283@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 647283@bugs.debian.org
Subject: not present in 2.11-1
Date: Thu, 8 Dec 2011 11:13:29 +0200
Hi,

looks like this bug is not present in versin: 2.11-1

aa5473d00ffe38d89db1d343a13e6e17  ./s390/usr/share/doc/libtasn1-3/NEWS.gz
aa5473d00ffe38d89db1d343a13e6e17  ./sparc/usr/share/doc/libtasn1-3/NEWS.gz
aa5473d00ffe38d89db1d343a13e6e17  ./powerpc/usr/share/doc/libtasn1-3/NEWS.gz
aa5473d00ffe38d89db1d343a13e6e17  ./i386/usr/share/doc/libtasn1-3/NEWS.gz
aa5473d00ffe38d89db1d343a13e6e17  ./armel/usr/share/doc/libtasn1-3/NEWS.gz
aa5473d00ffe38d89db1d343a13e6e17  ./kfreebsd-i386/usr/share/doc/libtasn1-3/NEWS.gz
aa5473d00ffe38d89db1d343a13e6e17  ./ia64/usr/share/doc/libtasn1-3/NEWS.gz
aa5473d00ffe38d89db1d343a13e6e17  ./amd64/usr/share/doc/libtasn1-3/NEWS.gz
aa5473d00ffe38d89db1d343a13e6e17  ./mips/usr/share/doc/libtasn1-3/NEWS.gz
aa5473d00ffe38d89db1d343a13e6e17  ./mipsel/usr/share/doc/libtasn1-3/NEWS.gz
aa5473d00ffe38d89db1d343a13e6e17  ./kfreebsd-amd64/usr/share/doc/libtasn1-3/NEWS.gz

Riku




Reply sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
You have taken responsibility. (Wed, 21 Mar 2012 17:09:04 GMT) Full text and rfc822 format available.

Notification sent to gregory hainaut <gregory.hainaut@gmail.com>:
Bug acknowledged by developer. (Wed, 21 Mar 2012 17:09:04 GMT) Full text and rfc822 format available.

Message #27 received at 647283-done@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: 647283-done@bugs.debian.org
Subject: Re: Bug#647283: not present in 2.11-1
Date: Wed, 21 Mar 2012 18:03:53 +0100
Version: 2.11-1

On 2011-12-08 Riku Voipio <riku.voipio@iki.fi> wrote:
> Hi,

> looks like this bug is not present in versin: 2.11-1

> aa5473d00ffe38d89db1d343a13e6e17  ./s390/usr/share/doc/libtasn1-3/NEWS.gz
> aa5473d00ffe38d89db1d343a13e6e17  ./sparc/usr/share/doc/libtasn1-3/NEWS.gz
> aa5473d00ffe38d89db1d343a13e6e17  ./powerpc/usr/share/doc/libtasn1-3/NEWS.gz
> aa5473d00ffe38d89db1d343a13e6e17  ./i386/usr/share/doc/libtasn1-3/NEWS.gz
> aa5473d00ffe38d89db1d343a13e6e17  ./armel/usr/share/doc/libtasn1-3/NEWS.gz
> aa5473d00ffe38d89db1d343a13e6e17  ./kfreebsd-i386/usr/share/doc/libtasn1-3/NEWS.gz
> aa5473d00ffe38d89db1d343a13e6e17  ./ia64/usr/share/doc/libtasn1-3/NEWS.gz
> aa5473d00ffe38d89db1d343a13e6e17  ./amd64/usr/share/doc/libtasn1-3/NEWS.gz
> aa5473d00ffe38d89db1d343a13e6e17  ./mips/usr/share/doc/libtasn1-3/NEWS.gz
> aa5473d00ffe38d89db1d343a13e6e17  ./mipsel/usr/share/doc/libtasn1-3/NEWS.gz
> aa5473d00ffe38d89db1d343a13e6e17  ./kfreebsd-amd64/usr/share/doc/libtasn1-3/NEWS.gz

> Riku

The cause of the issue (gzip bug 647522) has also been fixed.
Closing.
cu andreas




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Apr 2012 07:39:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:03:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.